package com.bocloud.sms.enums;

public enum YkInfo {
    //查询用户信息
    queryAllUser("/system/user/queryAllUser"),
    //获取应用列表
    getAppList("/system/sysapp/getAppList"),
    //获取运维工单接口
    getTaskList("/activiti/rwMainTask/getTaskList"),
    //用户授权应用接口
    getUserAppList("/system/sysapp/getRoleOrUserHaveAppList"),
    //获取用户角色信息
    getUserRoles("/system/user/queryUserRoles"),

    getTaskByUser("/system/task/countTaskByUser");

    private String url;

    YkInfo(String url) {
        this.url = url;
    }

    public String getUrl() {
        return url;
    }
}
