package com.bocloud.sms.booter.websocket.model;

import com.alibaba.fastjson.JSONObject;
import org.springframework.messaging.Message;
import org.springframework.messaging.MessageHeaders;

/**
 * 上传文件消息
 *
 * @author dmw
 */
public class CommonMessage implements Message<Object> {
    private MessageCategory category;
    private String content;

    /**
     * @return the category
     */
    public MessageCategory getCategory() {
        return category;
    }

    /**
     * @param category the category to set
     */
    public void setCategory(MessageCategory category) {
        this.category = category;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public MessageHeaders getHeaders() {
        return null;
    }

    @Override
    public Object getPayload() {
        return null;
    }

    public CommonMessage(String content) {
        this.setCategory(MessageCategory.TEXT);
        this.setContent(content);
    }

    /*
     * (non-Javadoc)
     *
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }

}
