package com.bocloud.sms.model;


import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author hya
 * @Date 2022/3/11 15:26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ColumnWidth(20)
@HeadRowHeight(15)
public class ImpExpProjectExcelModel {
    @ExcelProperty(value = "项目名称",index = 0)
    private String name;
    @ExcelProperty(value = "项目编号",index = 1)
    private String code;
    @ExcelProperty(value = "所属业务",index = 2)
    private String business;
    @ExcelProperty(value = "租户名称",index = 3)
    private String tenant;
    @ExcelProperty(value = "项目描述",index = 4)
    private String remark;
}
